Summary:	Linux USB utilities
Name:		usbutils
Version:	0.73
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://sourceforge.net/projects/linux-usb/
Source0:	http://downloads.sourceforge.net/linux-usb/%{name}-%{version}.tar.bz2
Patch0:		usbutils-0.73-sysfs-support.patch
BuildRequires:	libusb-devel
# (tpg) needs to update usb.ids
BuildRequires:	wget
# (tpg) hal doesn't read gzip'd usb.ids file, so disable zlib-devel
# see also configure option
BuildConflicts:	zlib-devel
BuildConflicts:	glibc < 2.3.4-5mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains the lsusb utility for inspecting the devices 
connected to the USB bus. It shows a graphical representation of the 
devices that are currently plugged in, showing the topology of the 
USB bus. It also displays information on each individual device on 
the bus.

%prep
%setup -q
%patch0 -p1

%build
# (tpg) download fresh ids from upstream
./update-usbids.sh

%configure2_5x \
	--disable-zlib
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}{%{_includedir}/libusb.h,%{_libdir}/libusb*}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_sbindir}/*
%{_datadir}/usb.ids
%{_mandir}/*/*


%changelog
* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.73-3mdv2009.1
+ Revision: 339065
- new license policy
- Patch0: add support for sysfs
- hal doesn't read gzip'd usb.ids file, buildconflict on zlib-devel
- run update-usbids.sh to fetch latest usb.ids from upstream
- better description

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.73-2mdv2009.0
+ Revision: 225910
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.73-1mdv2008.1
+ Revision: 102463
- new version
- disable patch 0 for now

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.72-4mdv2008.1
+ Revision: 100089
- rediff patch 0, should fix bug #34887

* Mon Aug 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.72-3mdv2008.0
+ Revision: 68038
- provide patch 1 (more ids from Diego Flameeyes Petteno and me ;)
- spec file clean


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.72-2mdv2007.0
+ Revision: 108267
- Import usbutils

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.72-2mdv2007.1
- Rebuild

* Fri Apr 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.72-1mdk
- 0.72
- use usb.ids shipped with source as it's more up to date

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.71-1mdk
- 0.71
- drop P1(merged upstream)
- update usb.ids
- cosmetics

* Fri Aug 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.70-4mdk
- update usb.ids

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.70-3mdk
- update usb.ids

* Sat Feb 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.70-2mdk
- add BuildRequires: libusb-devel

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.70-1mdk
- new release (USB2.0 aware)
- rediff patch 0
- kill patch 1 (merged upstream)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-9mdk
- update usb.ids
- kill useless prefix

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-8mdk
- update usb.ids
- kill patch 2 (merged upstream)

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-7mdk
- update ids list
- patch 1 : handle unknown HID Country Code entries in usb.ids
- patch 2 : kill duplicated entries
- kill now useless hack

* Thu Dec 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-6mdk
- update ids list

* Sun Feb 08 2004 Pixel <pixel@mandrakesoft.com> 0.11-5mdk
- fix usage (bugzilla #7525)
- update ids list

